﻿using System;
using System.Collections;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Interop;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace RowDetailSizeDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            flexGrid1.ItemsSource = GetData();            
        }

        private IEnumerable GetData()
        {
            //Create a list
            ObservableCollection<Order> orders = new ObservableCollection<Order>
            {
                new Order()
                {
                    ProductId = 101,
                    ProductName = "Beverages",
                    OrderDate = new DateTime(1971, 7, 23),
                    ImgSource = Imaging.CreateBitmapSourceFromHBitmap(Properties.Resources.beverages.GetHbitmap(), IntPtr.Zero, Int32Rect.Empty, BitmapSizeOptions.FromEmptyOptions())

                },
                new Order()
                {
                    ProductId = 102,
                    ProductName = "Condiments",
                    OrderDate = new DateTime(1974, 1, 17),
                    ImgSource = Imaging.CreateBitmapSourceFromHBitmap(Properties.Resources.condiments.GetHbitmap(), IntPtr.Zero, Int32Rect.Empty, BitmapSizeOptions.FromEmptyOptions())
                },
                new Order()
                {
                    ProductId = 103,
                    ProductName = "Confections",
                    OrderDate = new DateTime(1991, 9, 2),
                    ImgSource = Imaging.CreateBitmapSourceFromHBitmap(Properties.Resources.confections.GetHbitmap(), IntPtr.Zero, Int32Rect.Empty, BitmapSizeOptions.FromEmptyOptions())
                },
                new Order()
                {
                    ProductId = 104,
                    ProductName = "Poultry",
                    OrderDate = new DateTime(1991, 10, 24),
                    ImgSource = Imaging.CreateBitmapSourceFromHBitmap(Properties.Resources.poultry.GetHbitmap(), IntPtr.Zero, Int32Rect.Empty, BitmapSizeOptions.FromEmptyOptions())
                }
            };

            return orders;
        }
    }

    public class Order
    {
        public int ProductId { get; set; }

        public string ProductName { get; set; }

        public DateTime OrderDate { get; set; }

        public ImageSource ImgSource { get; set; }

    }
}
